Subject: Re: bug#11210: Windows emacs 23.4.1: scroll-conservatively > 0 results in multiple cursors being displayed after scrolling

From: [email-masked]
Date: Tue, 13 Jun 2017 20:29:53 -0400

retitle 11210 (w32-use-visible-system-caret = t) && (scroll-conservertively = 1) results in multiple cursors displayed after scrolling
severity 11210 minor
found 11210 25.1
tag 11210 confirmed
quit

Bill Meier <[email-masked]> writes:

> On 4/15/2012 1:27 PM, Bill Meier wrote:
>
> However, if I set w32-use-visible-system-caret to 1 and
> scroll-conservatively to 1, I get artifacts.
>
> So: this bug should actually be entitled:
>
> (scroll-conservertively > 0) && (w32-use-visible-system-caret == 1)
> results in multiple cursors ....
>
> Re:
>> Can you run Emacs you built under a debugger?  If so, please make an
>> unoptimized build ("configure --no-opt" in the nt/ directory to
>> configure the package before compiling), and please show the values of
>> yb and last_new on line 5021 of dispnew.c, when you press down-arrow
>> on the "123" line in this recipe:
>
>> For the record, the values I see are yb = 384 and last_new = 24.
>>
>
> I see the same values.
>
> Note: To reliably (90% of the time) get artifacts I actually used 32
> lines as follows:
> 001
> 002
> 003
> ...
> 032
> 123
>
> Using abc,abc,...,123 now doesn't give artifacts for some reason.
> Actually: the breakpoint is never hit in this case.
> So: I'm no longer sure about my originally stated test case (abc,...,123).
>
> Note: Just for the record, I put the breakpoint at
> r 100582: dispnew.c: line 5016
>
> 5016      i = first_old + 1;
> 5017      while (i < current_matrix->nrows - 1)